222222
Menu

phpstudy切换到php7了,但是cmd下还是PHP5版本,怎么更新windows下默认的PHP版本

发布时间:2018-12-29 10:01:47作者:热度: 401 ℃

下载链接在文章结束的位置

phpstudy切换到php7了,但是cmd下还是PHP5版本,怎么更新windows下默认的PHP版本


这个问题也是困扰了我自己好久!自己也是在百度上搜了好久都没有找到自己想要的答案!


首先说一下我的应用场景吧!

    我之前安装了composer,默认的是PHP5.5的版本!

    但是现在我想把自己的tp框架升级到5.1,PHP5.5的版本不能满足!

    于是我就把PHPstudy中的PHP版本切换到PHP7!

    但是发现再cmd中运行php -v的时候  显示的还是PHP5的版本!

    运行composer update命令的时候,也警告我的PHP版本5.5不能使用tp5.1框架!


解决办法:    

    首先,我测试的环境变量添加php7的路径是失败的!


最终成功解决办法:

    1:打开 https://getcomposer.org/download/

    2:下载

    

   3:重新安装composer  再安装过程中选择PHP版本为PHP7 的路径

    

    4:安装成功,PHP版本切换成功

    


希望本文对您有所帮助!如果喜欢不妨关注下微博:沙坪坝韩宇

    

米醋儿 micuer.com

  1. QQ3群:397053211
  2. QQ2群:524440238
  3. QQ1群:209183654
  4. 一键关注微博

旗下网站以及工具

    米醋儿TV 免费领券网
    程序员在线工具箱
    思琪导购网
    网络骗子曝光平台

友情连接